=== debian/changelog ===
guayadeque (0.2.5-2) unstable; urgency=medium

  * Add .gitignore file.
  * Update Standards-Version to 3.9.0.
  * Change my email address.
  * debian/rules: Clean-up.
  * Remove reference to /usr/share/common-licenses/BSD to make lintian
    happy.
  * Don't link against OpenSSL, replace libcurl4-openssl-dev with
    libcurl4-gnutls-dev in the Build-Depends field (Closes: #588226);
    GPL violation, bump urgency to medium.
  * Add debian/gbp.conf file.

 -- Alessio Treglia <alessio@debian.org>  Tue, 06 Jul 2010 12:25:06 +0200

guayadeque (0.2.5-1) unstable; urgency=low

  * Initial release (Closes: #579837).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 02 May 2010 02:31:10 +0200
