=== debian/rules ===
#!/usr/bin/make -f

# Path to the debian directory
DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
PACKAGE = guayadeque

%:
	dh --buildsystem=cmake $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/guayadeque/usr/share/app-install/

override_dh_installchangelogs:
	dh_installchangelogs changelog

get-orig-source:
	cd $(DEBIAN_DIR)/.. && uscan --force-download --no-symlink
	tar xf ../$(PACKAGE)-$(UPSTREAM_VERSION).tar.bz2
	rm ../$(PACKAGE)-$(UPSTREAM_VERSION).tar.bz2
	tar cf ../$(PACKAGE)_$(UPSTREAM_VERSION).orig.tar \
	--exclude="*.svn*" $(PACKAGE)-$(UPSTREAM_VERSION)
	bzip2 -9f ../$(PACKAGE)_$(UPSTREAM_VERSION).orig.tar
	rm -fr $(PACKAGE)-$(UPSTREAM_VERSION)
