=== debian/watch ===
version=3
http://sf.net/guayadeque/guayadeque-(.*)\.tar\.bz2
