## guayadeque 0.2.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
 # define minimum cmake version
 cmake_minimum_required(VERSION 2.4)
+if(POLICY CMP0005)
+   cmake_policy(SET CMP0005 NEW)
+endif(POLICY CMP0005)
+
  
 project( Guayadeque )
 
@@ -32,6 +36,11 @@
 	MESSAGE( FATAL_ERROR "gstreamer-0.10 not found!" )
 ENDIF( NOT GSTREAMER_LIBRARIES )
 
+PKG_CHECK_MODULES( GSTREAMER_CTRL gstreamer-controller-0.10 )
+IF( NOT GSTREAMER_CTRL_LIBRARIES )
+	MESSAGE( FATAL_ERROR "gstreamer-controller-0.10 not found!" )
+ENDIF( NOT GSTREAMER_CTRL_LIBRARIES )
+
 PKG_CHECK_MODULES( SQLITE3 sqlite3 )
 IF( NOT SQLITE3_LIBRARIES )
 	MESSAGE( FATAL_ERROR "sqlite3 not found!" )
@@ -42,9 +51,14 @@
 	MESSAGE( FATAL_ERROR "libcurl not found!" )
 ENDIF( NOT LIBCURL_LIBRARIES )
 
-PKG_CHECK_MODULES( LIBTAG taglib )
+PKG_CHECK_MODULES( LIBTAG taglib>=1.6.1)
 IF( NOT LIBTAG_LIBRARIES )
-	MESSAGE( FATAL_ERROR "taglib not found!" )
+	PKG_CHECK_MODULES( LIBTAG taglib>=1.6 )
+	IF( NOT LIBTAG_LIBRARIES )
+		MESSAGE( FATAL_ERROR "taglib 1.6 not found!" )
+	ENDIF( NOT LIBTAG_LIBRARIES )
+ELSE( NOT LIBTAG_LIBRARIES )
+	ADD_DEFINITIONS(-DTAGLIB_WITH_MP4_COVERS=1)
 ENDIF( NOT LIBTAG_LIBRARIES )
 
 
@@ -67,6 +81,21 @@
 # Include wxWidgets macros
 INCLUDE(${wxWidgets_USE_FILE})
 
+#
+IF( EXISTS ${PROJECT_SOURCE_DIR}/.svn )
+	# Probably a SVN workspace, determine revision level
+     	FIND_PACKAGE(Subversion)
+     	IF(Subversion_FOUND)
+        	Subversion_WC_INFO(${PROJECT_SOURCE_DIR} GUAYADEQUE)
+        	MESSAGE("Current revision is ${GUAYADEQUE_WC_REVISION}")
+		SET( _GUREVISION_ ${GUAYADEQUE_WC_REVISION})
+        ELSE(Subversion_FOUND)
+        	SET( _GUREVISION_ "" )
+	ENDIF(Subversion_FOUND)
+ENDIF( EXISTS ${PROJECT_SOURCE_DIR}/.svn ) 
+
+CONFIGURE_FILE( ${CMAKE_CURRENT_SOURCE_DIR}/src/Version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/src/Version.h )
+
 #    
 #ADD_DEFINITIONS(${wxWidgets_DEFINITIONS})
 ADD_DEFINITIONS( -Wall -O2 )
@@ -77,6 +106,7 @@
 			${Guayadeque_SOURCE_DIR}/src
                         ${wxWidgets_INCLUDE_DIRS}
                         ${GSTREAMER_INCLUDE_DIRS}
+			${GSTREAMER_CTRL_INCLUDE_DIRS}
 			${SQLITE3_INCLUDE_DIRS}
 			${LIBCURL_INCLUDE_DIRS}
 			${LIBTAG_INCLUDE_DIRS}
