=== po/CMakeLists.txt ===
--- 
+++ 
@@ -21,3 +21,8 @@
 ADD_SUBDIRECTORY( uk )
 ADD_SUBDIRECTORY( it )
 ADD_SUBDIRECTORY( de )
+ADD_SUBDIRECTORY( fr )
+ADD_SUBDIRECTORY( is )
+ADD_SUBDIRECTORY( nb )
+ADD_SUBDIRECTORY( th )
+
