=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras/audible
 	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras/rmff
         ${GSTREAMER_INCLUDE_DIRS}
+	${GSTREAMER_CTRL_INCLUDE_DIRS}
         ${SQLITE3_INCLUDE_DIRS}
         ${LIBCURL_INCLUDE_DIRS}
         ${LIBTAG_INCLUDE_DIRS}
@@ -46,6 +47,8 @@
 	dbus/mmkeys.h
 	dbus/gsession.cpp
 	dbus/gsession.h
+	dbus/notify.cpp
+	dbus/notify.h
 )
 
 SET( HMAC_SHA2_SOURCES
@@ -77,6 +80,8 @@
 	Db.h
 	DbLibrary.cpp
 	DbLibrary.h
+	DbRadios.cpp
+	DbRadios.h
 	DbCache.cpp
 	DbCache.h
 	AutoPulseGauge.cpp
@@ -202,6 +207,30 @@
 	SelCoverFile.h
 	AutoScrollText.cpp
 	AutoScrollText.h
+	RoundButton.cpp
+	RoundButton.h
+	ToggleRoundButton.cpp
+	ToggleRoundButton.h
+	AuiDockArt.cpp
+	AuiDockArt.h
+	FileBrowser.cpp
+	FileBrowser.h
+	FileRenamer.cpp
+	FileRenamer.h
+	YeListBox.cpp
+	YeListBox.h
+	RaListBox.cpp
+	RaListBox.h
+	PcListBox.cpp
+	PcListBox.h
+	CoListBox.cpp
+	CoListBox.h
+        AAListBox.cpp
+	AAListBox.h
+	TimeLine.cpp
+	TimeLine.h
+	FieldEditor.cpp
+	FieldEditor.h
 	${WXSQLITE3_SOURCES}
 	${CURL_SOURCES}
     	${DBUS_SOURCES}
@@ -211,6 +240,7 @@
 TARGET_LINK_LIBRARIES( guayadeque
 	${wxWidgets_LIBRARIES}
 	${GSTREAMER_LIBRARIES}
+	${GSTREAMER_CTRL_LIBRARIES}
 	${SQLITE3_LIBRARIES}
 	${LIBCURL_LIBRARIES}
         ${LIBTAG_LIBRARIES}
