=== po/is/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( is guayadeque.mo guayadeque.po )
