=== debian/changelog ===
guayadeque (0.2.7-2) experimental; urgency=low

  * Add debian/source/local-options file.
  * Fix random crashed in Google cover search engine (LP: #645029).

 -- Alessio Treglia <alessio@debian.org>  Wed, 22 Sep 2010 11:36:02 +0200

guayadeque (0.2.7-1) experimental; urgency=low

  * Imported Upstream version 0.2.7
  * debian/rules: Use dh $@ --foo for compatibility with Debhelper 8.
  * Refresh patches.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 01 Sep 2010 10:04:35 +0200
