=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libtagc0-dev,
  libdbus-1-dev,
  libflac-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://sourceforge.net/projects/guayadeque
 Vcs-Git: git://git.debian.org/pkg-multimedia/guayadeque.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/guayadeque.git
