=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 PACKAGE = guayadeque
 
 %:
-	dh --buildsystem=cmake $@
+	dh $@ --buildsystem=cmake 
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON
