## guayadeque 0.2.9

=== debian/changelog ===
guayadeque (0.2.9-2) unstable; urgency=low

  * Add -DBG package.
  * Build-depend on libgpod-dev.
  * Build-depend on libindicate-dev.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 Mar 2011 20:31:18 +0100

guayadeque (0.2.9-1) unstable; urgency=low

  * Imported Upstream version 0.2.9
  * Drop 02-google_cover_search_engine_crash.patch patch, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Fri, 25 Feb 2011 11:59:10 +0100

guayadeque (0.2.7-3) unstable; urgency=low

  * Upload to unstable.
  * Pass -Wl,--as-needed to the linker.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Feb 2011 13:39:39 +0100
