=== debian/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
  cmake (>= 2.6),
  gettext,
  libcurl4-gnutls-dev (>= 7.18.2),
+ libgpod-dev [!alpha !hppa !hurd-i386 !mips !mipsel],
  libgstreamer0.10-dev,
+ libindicate-dev [!alpha !hppa !hurd-i386 !mips !mipsel],
  libsqlite3-dev,
  libwxgtk2.8-dev,
  libtagc0-dev,
@@ -60,3 +62,15 @@
   - You can rate the tracks from 0 to 5 stars.
   - MPRIS D-Bus interface support so it can easily controlled from music
     applets for example and many more.
+
+Package: guayadeque-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: guayadeque (= ${binary:Version}),
+ ${misc:Depends}
+Description: lightweight music player - debugging symbols
+ Guayadeque is a lightweight and easy-to-use music player that supports
+ smart playlists and huge music collections.
+ .
+ This package provides the debugging symbols for guayadeque.
