=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
 UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
 PACKAGE = guayadeque
+LDFLAGS+=-Wl,--as-needed
 
 %:
 	dh $@ --buildsystem=cmake 
@@ -18,6 +19,9 @@
 override_dh_installchangelogs:
 	dh_installchangelogs changelog
 
+override_dh_strip:
+	dh_strip --dbg-package=guayadeque-dbg
+
 get-orig-source:
 	cd $(DEBIAN_DIR)/.. && uscan --force-download --no-symlink
 	tar xf ../$(PACKAGE)-$(UPSTREAM_VERSION).tar.bz2
