=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,12 @@
 IF( DEBUG )
 	ADD_DEFINITIONS( -g )
+	MESSAGE( "Adding debug symbols." )
 ENDIF( DEBUG )
 
 IF( PROFILE )
 	ADD_DEFINITIONS( -pg )
+	SET(CMAKE_EXE_LINKER_FLAGS "-pg -g")
+	MESSAGE( "Adding profiling code." )
 ENDIF( PROFILE )
 
 INCLUDE_DIRECTORIES(
@@ -13,20 +16,18 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/wxsqlite3
         ${CMAKE_CURRENT_SOURCE_DIR}/dbus
 	${CMAKE_CURRENT_SOURCE_DIR}/hmac
-	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras
-	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras/asf
-	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras/mp4
-	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras/wav
-	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras/audible
-	${CMAKE_CURRENT_SOURCE_DIR}/taglib-extras/rmff
+	${CMAKE_CURRENT_SOURCE_DIR}/execstream
         ${GSTREAMER_INCLUDE_DIRS}
 	${GSTREAMER_CTRL_INCLUDE_DIRS}
         ${SQLITE3_INCLUDE_DIRS}
         ${LIBCURL_INCLUDE_DIRS}
         ${LIBTAG_INCLUDE_DIRS}
-	${LIBMP4_INCLUDE_DIRS}
 	${LIBFLAC_INCLUDE_DIRS}
         ${LIBDBUS_INCLUDE_DIRS} 
+        ${LIBGIO_INCLUDE_DIRS} 
+	${LIBGPOD_INCLUDE_DIRS}
+	${LIBINDICATE_INCLUDE_DIRS}
+	${LIBAPPINDICATOR_INCLUDE_DIRS}
 )
 
 SET( WXSQLITE3_SOURCES
@@ -49,6 +50,8 @@
 	dbus/gsession.h
 	dbus/notify.cpp
 	dbus/notify.h
+	dbus/mpris2.cpp
+	dbus/mpris2.h
 )
 
 SET( HMAC_SHA2_SOURCES
@@ -229,8 +232,38 @@
 	AAListBox.h
 	TimeLine.cpp
 	TimeLine.h
-	FieldEditor.cpp
-	FieldEditor.h
+	Jamendo.cpp
+	Jamendo.h
+	Magnatune.cpp
+	Magnatune.h
+	GIO_Volume.cpp
+	GIO_Volume.h
+	PortableMedia.cpp
+	PortableMedia.h
+	Transcode.cpp
+	Transcode.h
+	CopyTo.cpp
+	CopyTo.h
+	LocationPanel.cpp
+	LocationPanel.h
+	CoverPanel.cpp
+	CoverPanel.h
+	Accelerators.cpp
+	Accelerators.h
+	AccelListBox.cpp
+	AccelListBox.h
+	AuiManagedPanel.cpp
+	AuiManagedPanel.h
+	EditWithOptions.cpp
+	EditWithOptions.h
+	TreeViewFilter.cpp
+	TreeViewFilter.h
+	TreePanel.cpp
+	TreePanel.h
+	TVSoListBox.cpp
+	TVSoListBox.h
+	TreeViewFilterEditor.cpp
+	TreeViewFilterEditor.h
 	${WXSQLITE3_SOURCES}
 	${CURL_SOURCES}
     	${DBUS_SOURCES}
@@ -244,9 +277,12 @@
 	${SQLITE3_LIBRARIES}
 	${LIBCURL_LIBRARIES}
         ${LIBTAG_LIBRARIES}
-	${LIBMP4_LIBRARIES}
 	${LIBFLAC_LIBRARIES}
         ${LIBDBUS_LIBRARIES}
+	${LIBGIO_LIBRARIES}
+	${LIBGPOD_LIBRARIES}
+	${LIBINDICATE_LIBRARIES}
+	${LIBAPPINDICATOR_LIBRARIES}
 	)
 
 INSTALL( TARGETS guayadeque
