=== po/es/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( es guayadeque.mo guayadeque.po )
