=== po/it/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( it guayadeque.mo guayadeque.po )
