=== po/th/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( th guayadeque.mo guayadeque.po )
