=== debian/changelog ===
guayadeque (0.3.1~dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Strip wxsqlite3 stuff out of upstream's tarballs.
  * Update get-orig-source target in debian/rules.
  * Update gbp config file.
  * Bump Standards.
  * Build-depend on libwxsqlite3-2.8-dev
  * Enable parallel builds.
  * Link binaries against the system-wide copy of wxsqlite3.
  * Point sources to the correct wxcurl's headers location.
  * Update copyright file as per DEP-5
  * Improve debian/watch to handle the ~dfsg\d* suffix.

 -- Alessio Treglia <alessio@debian.org>  Sat, 14 May 2011 15:08:03 +0200
