=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.3.7~),
- cmake (>= 2.6),
+Build-Depends: cmake (>= 2.6),
+ debhelper (>= 7.3.7~),
  gettext,
  libcurl4-gnutls-dev (>= 7.18.2),
+ libdbus-1-dev,
+ libflac-dev,
  libgpod-dev [!alpha !hppa !hurd-i386 !mips !mipsel],
  libgstreamer0.10-dev,
  libindicate-dev [!alpha !hppa !hurd-i386 !mips !mipsel],
  libsqlite3-dev,
+ libtagc0-dev,
  libwxgtk2.8-dev,
- libtagc0-dev,
- libdbus-1-dev,
- libflac-dev
-Standards-Version: 3.9.1
+ libwxsqlite3-2.8-dev
+Standards-Version: 3.9.2
 Homepage: http://sourceforge.net/projects/guayadeque
 Vcs-Git: git://git.debian.org/pkg-multimedia/guayadeque.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/guayadeque.git
