=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 LDFLAGS+=-Wl,--as-needed
 
 %:
-	dh $@ --buildsystem=cmake 
+	dh $@ --buildsystem=cmake --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON
@@ -27,6 +27,8 @@
 	tar xf ../$(PACKAGE)-$(UPSTREAM_VERSION).tar.bz2
 	rm ../$(PACKAGE)-$(UPSTREAM_VERSION).tar.bz2
 	tar cf ../$(PACKAGE)_$(UPSTREAM_VERSION).orig.tar \
-	--exclude="*.svn*" $(PACKAGE)-$(UPSTREAM_VERSION)
+	--exclude-vcs --exclude=src/wx/wxsqlite3* \
+	--exclude=src/wxsqlite3 \
+	$(PACKAGE)-$(UPSTREAM_VERSION)
 	bzip2 -9f ../$(PACKAGE)_$(UPSTREAM_VERSION).orig.tar
 	rm -fr $(PACKAGE)-$(UPSTREAM_VERSION)
