## guayadeque 0.3.5~ds0

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 #SET(CMAKE_FIND_LIBRARY_PREFIXES "")
 #SET(CMAKE_FIND_LIBRARY_SUFFIXES ".lib")
 
-SET(wxWidgets_USE_LIBS base core adv net html xml aui)
+SET(wxWidgets_USE_LIBS base core adv net html xml aui qa)
 
 FIND_PACKAGE(wxWidgets)
 
@@ -36,10 +36,10 @@
 	MESSAGE( FATAL_ERROR "gstreamer-0.10 not found!" )
 ENDIF( NOT GSTREAMER_LIBRARIES )
 
-PKG_CHECK_MODULES( GSTREAMER_CTRL gstreamer-controller-0.10 )
-IF( NOT GSTREAMER_CTRL_LIBRARIES )
-	MESSAGE( FATAL_ERROR "gstreamer-controller-0.10 not found!" )
-ENDIF( NOT GSTREAMER_CTRL_LIBRARIES )
+#PKG_CHECK_MODULES( GSTREAMER_CTRL gstreamer-controller-0.10 )
+#IF( NOT GSTREAMER_CTRL_LIBRARIES )
+#	MESSAGE( FATAL_ERROR "gstreamer-controller-0.10 not found!" )
+#ENDIF( NOT GSTREAMER_CTRL_LIBRARIES )
 
 PKG_CHECK_MODULES( SQLITE3 sqlite3 )
 IF( NOT SQLITE3_LIBRARIES )
@@ -77,6 +77,29 @@
 	MESSAGE( FATAL_ERROR "libflac not found!" )
 ENDIF( NOT LIBFLAC_LIBRARIES )
 
+PKG_CHECK_MODULES( LIBGIO gio-2.0 )
+IF( NOT LIBGIO_LIBRARIES )
+	MESSAGE( FATAL_ERROR "gio not found!" )
+ENDIF( NOT LIBGIO_LIBRARIES )
+
+PKG_CHECK_MODULES( LIBGPOD libgpod-1.0 )
+IF( NOT LIBGPOD_LIBRARIES )
+	MESSAGE( " libgpod-dev not found! No iPod support!!" )
+ELSE( NOT LIBGPOD_LIBRARIES )
+	ADD_DEFINITIONS(-DWITH_LIBGPOD_SUPPORT=1)
+ENDIF( NOT LIBGPOD_LIBRARIES )
+
+PKG_CHECK_MODULES( LIBINDICATE indicate )
+IF( NOT LIBINDICATE_LIBRARIES )
+	MESSAGE( " libindicate library not found! No sound menu support!!" )
+ELSE( NOT LIBINDICATE_LIBRARIES )
+	ADD_DEFINITIONS(-DWITH_LIBINDICATE_SUPPORT=1)
+ENDIF( NOT LIBINDICATE_LIBRARIES )
+
+PKG_CHECK_MODULES( LIBAPPINDICATOR appindicator-0.1 )
+IF( LIBAPPINDICATOR_LIBRARIES )
+	ADD_DEFINITIONS(-DWITH_LIBAPPINDICATOR_SUPPORT=1)
+ENDIF( LIBAPPINDICATOR_LIBRARIES )
 
 # Include wxWidgets macros
 INCLUDE(${wxWidgets_USE_FILE})
@@ -110,8 +133,11 @@
 			${SQLITE3_INCLUDE_DIRS}
 			${LIBCURL_INCLUDE_DIRS}
 			${LIBTAG_INCLUDE_DIRS}
-			${LIBMP4_INCLUDE_DIRS}
               		${LIBDBUS_INCLUDE_DIRS}
+              		${LIBGIO_INCLUDE_DIRS}
+			${LIBGPOD_INCLUDE_DIRS}
+			${LIBINDICATE_INCLUDE_DIRS}
+			${LIBAPPINDICATOR_INCLUDE_DIRS}
                          )
  
 ADD_SUBDIRECTORY( src )
@@ -120,9 +146,10 @@
 # default configuration and desktop icon
 INSTALL( FILES guayadeque.desktop DESTINATION share/applications )
 INSTALL( FILES guayadeque.png DESTINATION share/pixmaps/ )
-INSTALL( FILES guayadeque.png DESTINATION share/app-install/icons/ )
+#INSTALL( FILES guayadeque.png DESTINATION share/app-install/icons/ )
 INSTALL( FILES guayadeque.default.conf DESTINATION share/guayadeque )
 INSTALL( FILES equalizers.default.conf DESTINATION share/guayadeque )
+INSTALL( FILES lyrics_sources.xml DESTINATION share/guayadeque )
 
 CONFIGURE_FILE(
   "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
