=== po/CMakeLists.txt ===
--- 
+++ 
@@ -28,4 +28,8 @@
 ADD_SUBDIRECTORY( hu )
 ADD_SUBDIRECTORY( sv )
 ADD_SUBDIRECTORY( nl )
+ADD_SUBDIRECTORY( pt_BR )
+ADD_SUBDIRECTORY( pt )
+ADD_SUBDIRECTORY( el )
+ADD_SUBDIRECTORY( sk )
