=== src/CMakeLists.txt ===
--- 
+++ 
@@ -252,6 +252,8 @@
 	Accelerators.h
 	AccelListBox.cpp
 	AccelListBox.h
+	AuiManagerPanel.cpp
+	AuiManagerPanel.h
 	AuiManagedPanel.cpp
 	AuiManagedPanel.h
 	EditWithOptions.cpp
@@ -264,6 +266,20 @@
 	TVSoListBox.h
 	TreeViewFilterEditor.cpp
 	TreeViewFilterEditor.h
+	Collections.cpp
+	Collections.h
+	MediaViewer.cpp
+	MediaViewer.h
+	MediaViewerLibrary.cpp
+	MediaViewerLibrary.h
+	iPodMedia.cpp
+	iPodMedia.h
+	ImportFiles.cpp
+	ImportFiles.h
+	SmartMode.cpp
+	SmartMode.h
+	Yahoo.cpp
+	Yahoo.h
 	${WXSQLITE3_SOURCES}
 	${CURL_SOURCES}
     	${DBUS_SOURCES}
