=== po/cs/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( cs guayadeque.mo guayadeque.po )
