=== po/de/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( de guayadeque.mo guayadeque.po )
