=== po/el/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( el guayadeque.mo guayadeque.po )
