=== po/fr/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( fr guayadeque.mo guayadeque.po )
