=== po/hu/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( hu guayadeque.mo guayadeque.po )
