=== po/nb/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( nb guayadeque.mo guayadeque.po )
