=== po/nl/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( nl guayadeque.mo guayadeque.po )
