=== po/pt/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( pt guayadeque.mo guayadeque.po )
