=== po/pt_BR/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( pt_BR guayadeque.mo guayadeque.po )
