=== debian/changelog ===
guayadeque (0.3.5~ds0-4ubuntu1) raring; urgency=low

  * Disable indicator, as mpris only is needed for sound menu integration?!

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 25 Mar 2013 04:08:28 +0000

guayadeque (0.3.5~ds0-4) unstable; urgency=low

  * libindicate-0.7 transition (Closes: #673811):
    - Refresh 04-libindicator_0.6.patch
    - Tigthen build-dep on libindicate-dev >= 0.6.92
  * Fix watch file.
  * Really link with --as-needed.

 -- Alessio Treglia <alessio@debian.org>  Mon, 21 May 2012 18:48:20 +0200

guayadeque (0.3.5~ds0-3) unstable; urgency=low

  * Let guayadeque build with libindicate-dev on all architectures.
  * Apply patch from Evgeni Golov to make guayadeque ready to build
    with libindicate 0.6. (Closes: #660868)
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 08 Mar 2012 07:59:38 +0100

guayadeque (0.3.5~ds0-2) unstable; urgency=low

  * Replace hurd-i386 with hurd-any.
  * Update B-D's blacklists: don't build with libgpod only on hurd-any,
    don't build with libdindicate on hurd-any, armhf and s390x.
  * Bump wxsqlite3 minimum requirement to 3.0.0.

 -- Alessio Treglia <alessio@debian.org>  Sun, 19 Feb 2012 17:28:31 +0100

guayadeque (0.3.5~ds0-1) unstable; urgency=low

  * New upstream release (LP: #930632):
    - Allow to select tracks from album browser zoon cover mode
    - Added load defaults in shortcuts preferences
    - Added cue support
    - Allow to change language from Preferences -> General
    - All playlists but the dynamic playlists with sort defined can be
      sorted by any criteria.
    - Added collections support. You can define as many collections as
      you want.
  * Re-implement get-orig-source from the scratch by using debian/repack.*
    scripts
  * Remove 04-mmkeys.patch, applied upstream.
  * Refresh other patches.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Sat, 11 Feb 2012 16:17:05 +0100

guayadeque (0.3.1~dfsg0-2) unstable; urgency=low

  * Make multimedia keys work on GNOME 3; thanks to Damyan Ivanov for
    the report. (Closes: #655561) (LP: #860600)

 -- Alessio Treglia <alessio@debian.org>  Thu, 12 Jan 2012 12:23:58 +0100
