=== debian/control ===
--- 
+++ 
@@ -1,32 +1,35 @@
 Source: guayadeque
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>
-Build-Depends: cmake (>= 2.6),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Alessio Treglia <alessio@debian.org>
+Build-Depends:
+ cmake (>= 2.6),
  debhelper (>= 7.3.7~),
  gettext,
  libcurl4-gnutls-dev (>= 7.18.2),
  libdbus-1-dev,
  libflac-dev,
- libgpod-dev [!alpha !hppa !hurd-i386 !mips !mipsel],
+ libgpod-dev [!hurd-any],
  libgstreamer0.10-dev,
- libindicate-dev [!alpha !hppa !hurd-i386 !mips !mipsel],
  libsqlite3-dev,
  libtagc0-dev,
  libwxgtk2.8-dev,
- libwxsqlite3-2.8-dev
-Standards-Version: 3.9.2
+ libwxsqlite3-2.8-dev (>> 3.0.0)
+Standards-Version: 3.9.3
 Homepage: http://sourceforge.net/projects/guayadeque
 Vcs-Git: git://git.debian.org/pkg-multimedia/guayadeque.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/guayadeque.git
 
 Package: guayadeque
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends:
+ gstreamer0.10-plugins-base,
  gstreamer0.10-plugins-good,
- gstreamer0.10-plugins-base,
- ${misc:Depends}
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: lightweight music player
  Guayadeque is a lightweight and easy-to-use music player that supports
  smart playlists and huge music collections.
@@ -68,7 +71,8 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: guayadeque (= ${binary:Version}),
+Depends:
+ guayadeque (= ${binary:Version}),
  ${misc:Depends}
 Description: lightweight music player - debugging symbols
  Guayadeque is a lightweight and easy-to-use music player that supports
