=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS+=-Wl,--as-needed

export REPACK_SH=$(CURDIR)/debian/repack.sh

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/guayadeque/usr/share/app-install/

override_dh_installchangelogs:
	dh_installchangelogs changelog

override_dh_strip:
	dh_strip --dbg-package=guayadeque-dbg

get-orig-source:
	uscan --force-download
