=== debian/watch ===
version=3
opts=dversionmangle=s/~ds\d*// \
http://sf.net/guayadeque/guayadeque-(.*)\.tar\.bz2 \
	debian sh debian/repack.stub
