## guayadeque 0.3.5%7eds0

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: guayadeque
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
@@ -12,13 +11,14 @@
  libcurl4-gnutls-dev (>= 7.18.2),
  libdbus-1-dev,
  libflac-dev,
- libgpod-dev [!hurd-any],
+ libgpod-dev [!alpha !hppa !hurd-i386 !mips !mipsel],
  libgstreamer0.10-dev,
+ libindicate-dev [!alpha !hppa !hurd-i386 !mips !mipsel],
  libsqlite3-dev,
  libtagc0-dev,
  libwxgtk2.8-dev,
- libwxsqlite3-2.8-dev (>> 3.0.0)
-Standards-Version: 3.9.3
+ libwxsqlite3-2.8-dev
+Standards-Version: 3.9.2
 Homepage: http://sourceforge.net/projects/guayadeque
 Vcs-Git: git://git.debian.org/pkg-multimedia/guayadeque.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/guayadeque.git
