## guayadeque 0.3.7~ds0

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,14 +51,20 @@
 	MESSAGE( FATAL_ERROR "libcurl not found!" )
 ENDIF( NOT LIBCURL_LIBRARIES )
 
-PKG_CHECK_MODULES( LIBTAG taglib>=1.6.1)
+PKG_CHECK_MODULES( LIBTAG taglib>=1.6.4)
 IF( NOT LIBTAG_LIBRARIES )
-	PKG_CHECK_MODULES( LIBTAG taglib>=1.6 )
+	PKG_CHECK_MODULES( LIBTAG taglib>=1.6.1)
 	IF( NOT LIBTAG_LIBRARIES )
-		MESSAGE( FATAL_ERROR "taglib 1.6 not found!" )
+		PKG_CHECK_MODULES( LIBTAG taglib>=1.6 )
+		IF( NOT LIBTAG_LIBRARIES )
+			MESSAGE( FATAL_ERROR "taglib 1.6 not found!" )
+		ENDIF( NOT LIBTAG_LIBRARIES )
+	ELSE( NOT LIBTAG_LIBRARIES )
+		ADD_DEFINITIONS(-DTAGLIB_WITH_MP4_COVERS=1)
 	ENDIF( NOT LIBTAG_LIBRARIES )
 ELSE( NOT LIBTAG_LIBRARIES )
 	ADD_DEFINITIONS(-DTAGLIB_WITH_MP4_COVERS=1)
+	ADD_DEFINITIONS(-DTAGLIB_WITH_APE_SUPPORT=1)
 ENDIF( NOT LIBTAG_LIBRARIES )
 
 
@@ -72,10 +78,10 @@
 	MESSAGE( FATAL_ERROR "dbus not found!" )
 ENDIF( NOT LIBDBUS_LIBRARIES )
 
-PKG_CHECK_MODULES( LIBFLAC flac )
-IF( NOT LIBFLAC_LIBRARIES )
-	MESSAGE( FATAL_ERROR "libflac not found!" )
-ENDIF( NOT LIBFLAC_LIBRARIES )
+#PKG_CHECK_MODULES( LIBFLAC flac )
+#IF( NOT LIBFLAC_LIBRARIES )
+#	MESSAGE( FATAL_ERROR "libflac not found!" )
+#ENDIF( NOT LIBFLAC_LIBRARIES )
 
 PKG_CHECK_MODULES( LIBGIO gio-2.0 )
 IF( NOT LIBGIO_LIBRARIES )
@@ -89,17 +95,38 @@
 	ADD_DEFINITIONS(-DWITH_LIBGPOD_SUPPORT=1)
 ENDIF( NOT LIBGPOD_LIBRARIES )
 
-PKG_CHECK_MODULES( LIBINDICATE indicate )
-IF( NOT LIBINDICATE_LIBRARIES )
-	MESSAGE( " libindicate library not found! No sound menu support!!" )
-ELSE( NOT LIBINDICATE_LIBRARIES )
+PKG_CHECK_MODULES( LIBINDICATE07 indicate-0.7 )
+IF( NOT LIBINDICATE07_LIBRARIES )
+	PKG_CHECK_MODULES( LIBINDICATE06 indicate-0.6 )
+	IF( NOT LIBINDICATE06_LIBRARIES )
+		PKG_CHECK_MODULES( LIBINDICATE indicate )
+		IF( NOT LIBINDICATE_LIBRARIES )
+			MESSAGE( " libindicate library not found! No sound menu support!!" )
+		ELSE( NOT LIBINDICATE_LIBRARIES )
+			ADD_DEFINITIONS(-DWITH_LIBINDICATE_SUPPORT=1)
+		ENDIF( NOT LIBINDICATE_LIBRARIES )
+	ELSE( NOT LIBINDICATE06_LIBRARIES )
+		ADD_DEFINITIONS(-DWITH_LIBINDICATE_SUPPORT=1)
+	ENDIF( NOT LIBINDICATE06_LIBRARIES )
+ELSE( NOT LIBINDICATE07_LIBRARIES )
 	ADD_DEFINITIONS(-DWITH_LIBINDICATE_SUPPORT=1)
-ENDIF( NOT LIBINDICATE_LIBRARIES )
+ENDIF( NOT LIBINDICATE07_LIBRARIES )
 
 PKG_CHECK_MODULES( LIBAPPINDICATOR appindicator-0.1 )
 IF( LIBAPPINDICATOR_LIBRARIES )
 	ADD_DEFINITIONS(-DWITH_LIBAPPINDICATOR_SUPPORT=1)
 ENDIF( LIBAPPINDICATOR_LIBRARIES )
+
+SET( ADD_WXSQLITE_SUPPORT 0 )
+PKG_CHECK_MODULES( LIBWXSQLITE3 wxsqlite3 )
+IF( NOT LIBWXSQLITE3_LIBRARIES )
+	PKG_CHECK_MODULES( LIBWXSQLITE3 wxsqlite3-2.8 )
+	IF( NOT LIBWXSQLITE3_LIBRARIES )
+		ADD_DEFINITIONS(-DADD_WXSQLITE_SUPPORT=1)
+		SET( ADD_WXSQLITE_SUPPORT 1 )
+		MESSAGE( "-- * Using internal wxSqlite support" )
+	ENDIF( NOT LIBWXSQLITE3_LIBRARIES )
+ENDIF( NOT LIBWXSQLITE3_LIBRARIES )
 
 # Include wxWidgets macros
 INCLUDE(${wxWidgets_USE_FILE})
@@ -137,7 +164,10 @@
               		${LIBGIO_INCLUDE_DIRS}
 			${LIBGPOD_INCLUDE_DIRS}
 			${LIBINDICATE_INCLUDE_DIRS}
+			${LIBINDICATE06_INCLUDE_DIRS}
+			${LIBINDICATE07_INCLUDE_DIRS}
 			${LIBAPPINDICATOR_INCLUDE_DIRS}
+			${LIBWXSQLITE3_INCLUDE_DIRS}
                          )
  
 ADD_SUBDIRECTORY( src )
