=== po/CMakeLists.txt ===
--- 
+++ 
@@ -32,4 +32,11 @@
 ADD_SUBDIRECTORY( pt )
 ADD_SUBDIRECTORY( el )
 ADD_SUBDIRECTORY( sk )
-
+ADD_SUBDIRECTORY( pl )
+ADD_SUBDIRECTORY( tr )
+ADD_SUBDIRECTORY( ja )
+ADD_SUBDIRECTORY( sr )
+ADD_SUBDIRECTORY( sr-latin )
+ADD_SUBDIRECTORY( bg )
+ADD_SUBDIRECTORY( ca_ES )
+ADD_SUBDIRECTORY( hr )
