=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,26 +13,30 @@
 	${CMAKE_CURRENT_SOURCE_DIR}
 	${CMAKE_CURRENT_SOURCE_DIR}/wx
 	${CMAKE_CURRENT_SOURCE_DIR}/wx/curl
-	${CMAKE_CURRENT_SOURCE_DIR}/wxsqlite3
         ${CMAKE_CURRENT_SOURCE_DIR}/dbus
 	${CMAKE_CURRENT_SOURCE_DIR}/hmac
-	${CMAKE_CURRENT_SOURCE_DIR}/execstream
         ${GSTREAMER_INCLUDE_DIRS}
 	${GSTREAMER_CTRL_INCLUDE_DIRS}
         ${SQLITE3_INCLUDE_DIRS}
         ${LIBCURL_INCLUDE_DIRS}
         ${LIBTAG_INCLUDE_DIRS}
-	${LIBFLAC_INCLUDE_DIRS}
         ${LIBDBUS_INCLUDE_DIRS} 
         ${LIBGIO_INCLUDE_DIRS} 
 	${LIBGPOD_INCLUDE_DIRS}
 	${LIBINDICATE_INCLUDE_DIRS}
+	${LIBINDICATE06_INCLUDE_DIRS}
+	${LIBINDICATE07_INCLUDE_DIRS}
 	${LIBAPPINDICATOR_INCLUDE_DIRS}
-)
-
-SET( WXSQLITE3_SOURCES
-	wxsqlite3/wxsqlite3.cpp 
-)
+	${LIBWXSQLITE3_INCLUDE_DIRS}
+)
+
+IF( ADD_WXSQLITE_SUPPORT )
+	MESSAGE( "Including extra wxsqlite folder" )
+	INCLUDE_DIRECTORIES(
+		${CMAKE_CURRENT_SOURCE_DIR}/wxsqlite3
+	)
+ENDIF( ADD_WXSQLITE_SUPPORT )
+
 
 SET( CURL_SOURCES
 	curl/base.cpp
@@ -60,6 +64,12 @@
 	hmac/sha2.c
 	hmac/sha2.h
 )
+
+IF( ADD_WXSQLITE_SUPPORT )
+SET( WXSQLITE_SOURCES
+	wxsqlite3/wxsqlite3.cpp
+)
+ENDIF( ADD_WXSQLITE_SUPPORT )
 
 ADD_EXECUTABLE( guayadeque
 	AlListBox.cpp
@@ -280,10 +290,18 @@
 	SmartMode.h
 	Yahoo.cpp
 	Yahoo.h
-	${WXSQLITE3_SOURCES}
+	RadioProvider.cpp
+	RadioProvider.h
+	UserRadio.cpp
+	UserRadio.h
+	TuneInRadio.cpp
+	TuneInRadio.h
+	ShoutcastRadio.cpp
+	ShoutcastRadio.h
 	${CURL_SOURCES}
     	${DBUS_SOURCES}
 	${HMAC_SHA2_SOURCES}
+	${WXSQLITE_SOURCES}
        )
 
 TARGET_LINK_LIBRARIES( guayadeque
@@ -293,12 +311,14 @@
 	${SQLITE3_LIBRARIES}
 	${LIBCURL_LIBRARIES}
         ${LIBTAG_LIBRARIES}
-	${LIBFLAC_LIBRARIES}
         ${LIBDBUS_LIBRARIES}
 	${LIBGIO_LIBRARIES}
 	${LIBGPOD_LIBRARIES}
 	${LIBINDICATE_LIBRARIES}
+	${LIBINDICATE06_LIBRARIES}
+	${LIBINDICATE07_LIBRARIES}
 	${LIBAPPINDICATOR_LIBRARIES}
+	${LIBWXSQLITE3_LIBRARIES}
 	)
 
 INSTALL( TARGETS guayadeque
