=== po/ja/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( ja guayadeque.mo guayadeque.po )
