=== po/sr-latin/CMakeLists.txt ===
GETTEXT_PROCESS_POFILE( sr@latin guayadeque.mo guayadeque.po )
