=== debian/changelog ===
guayadeque (0.3.7~ds0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to use wxWidgets 3.0, thanks to Damyan Ivanov for partial patch.
    (Closes: #749978)

 -- Olly Betts <olly@survex.com>  Mon, 18 Aug 2014 16:39:38 +1200

guayadeque (0.3.7~ds0-2) unstable; urgency=low

  * Enable debug builds. (Closes: #746368)
  * Bump debhelper to 9 to automatically enable hardening.

 -- Alessio Treglia <alessio@debian.org>  Tue, 29 Apr 2014 16:02:10 +0100

guayadeque (0.3.7~ds0-1) unstable; urgency=low

  * New upstream release.
  * Drop 01-desktop_file.patch, applied upstream.
  * Drop build-dependency on libflac-dev.
  * Update debian/copyright.
  * Drop 04-libindicator_0.6.patch, applied upstream.
  * Drop 02-wxsqlite3_linking.patch, applied by upstream.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 07 Mar 2014 11:34:34 +0000
