=== debian/control ===
--- 
+++ 
@@ -6,19 +6,18 @@
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
  cmake (>= 2.6),
- debhelper (>= 7.3.7~),
+ debhelper (>= 9~),
  gettext,
  libcurl4-gnutls-dev (>= 7.18.2),
  libdbus-1-dev,
- libflac-dev,
- libgpod-dev [!alpha !hppa !hurd-i386 !mips !mipsel],
+ libgpod-dev [!hurd-any],
  libgstreamer0.10-dev,
- libindicate-dev [!alpha !hppa !hurd-i386 !mips !mipsel],
+ libindicate-dev (>= 0.6.92),
  libsqlite3-dev,
  libtagc0-dev,
- libwxgtk2.8-dev,
- libwxsqlite3-2.8-dev
-Standards-Version: 3.9.2
+ libwxgtk3.0-dev,
+ libwxsqlite3-3.0-dev
+Standards-Version: 3.9.5
 Homepage: http://sourceforge.net/projects/guayadeque
 Vcs-Git: git://git.debian.org/pkg-multimedia/guayadeque.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/guayadeque.git
