=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export LDFLAGS+=-Wl,--as-needed
+export DEB_CXXFLAGS_MAINT_APPEND := -DNDEBUG
 
 export REPACK_SH=$(CURDIR)/debian/repack.sh
 
@@ -8,7 +9,7 @@
 	dh $@ --buildsystem=cmake --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON
+	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Debug -DCMAKE_SKIP_RPATH=ON
 
 override_dh_auto_install:
 	dh_auto_install
